Welcome to ReGet Deluxe Help!

What is ReGet Deluxe?

ReGet Deluxe is download manager, which helps you to download files from Internet. ReGet Deluxe core feature is that it resumes broken downloads from where they left off from both HTTP and FTP servers. It saves your time, as you wouldn't have to download again what you already have on your hard-drive!

Also ReGet Deluxe split the files being downloaded in sections and download all the sections at the same time. That is from 3 to 5 times improvement!

How to use ReGet Deluxe
ReGet Deluxe usage in detail can be found here.

ReGet Deluxe features
With many features aimed at improving download experience and dramatically increasing download speed, ReGet Deluxe is the tool to use for power Internet users and heavy downloaders. Find out what ReGet Deluxe suggests you.

Other issues
If you have questions related to other issues, such as Activation Code troubleshooting, Distribution and Packaging, ReGet localization, contacting ReGet team, you may find answers here.


How to use ReGet Deluxe

Are you new to ReGet? Read Getting started first!
From Getting Started you can find out how to add download to ReGet downloads queue, and how to force or suppress ReGet to intercept links from browser.

Please read Integration Settings to know how ReGet works with browsers, intercepts links and so on.
Questions related to browser interoperation are considered here, such as interoperation with Internet Explorer, Netscape and Opera.

Learn how to work with servers using Site Manager.
Here you can learn how to specify username and password for specific server, how to limit number of connections to specific site, and, in general, how to customize settings for specific sites using Site Manager tool.

Read Scheduler and macros to find out how to automate frequent tasks and organize downloaded files.
Do you want to start antivirus every time you downloaded a file, or you want your computer to be shut down after ReGet downloaded all files? You can do it and much more with Scheduler.

History pane helps you to manage downloaded files.
Learn more about history pane

Do you have any questions? Read FAQ first.
If you have any problems with ReGet Deluxe please read Frequently Asked Questions.


Getting started...

How to Add a Download to ReGet Deluxe Queue
Tips and tricks

(top)
How to Add a Download to ReGet Deluxe Queue
There are several ways you can add a download, and you can use any of them.
If you use Microsoft Internet Explorer, MSN Explorer, NetCaptor or NeoPlanet:
  • Just click on the download link/button and a ReGet Deluxe dialog will appear instead of standard Save As... dialog.
    If it not happen, hold Ctrl+Alt keys pressed simultaneously while clicking on download link/button.

  • Choose "Download using ReGet Deluxe" in context menu (right-click on the link to invoke it).
If you use Netscape Navigator or Opera:
  • Click on a link holding down the ALT key.
Also there are a few ways apart from the browser:
  • Drag the link from your favorite browser and drop it to ReGet Deluxe floating transparent window.
  • Or, you can use Copy Shortcut in your browser and then manually add it to the queue by pressing Ctrl+V or by clicking the Create New Download button
  • Also, you can use Copy Shortcut in your browser, then right-click the ReGet Deluxe icon in the System Tray and select Paste from the menu.
  • Finally, you may type-in the necessary URL manually after clicking the Plus button
After you click a link or click the Plus button the Properties dialog appears where you can edit properties of your download. If you want to save the file with another name type this name in the Save As: field. If the server you download from requires a login and password type them in the appropriate fields. Press OK when done editing. That's all - download is added.
(top)
Tips and tricks
  • To suppress erroneously link intercepting, hold Ctrl key pressed while clicking download link/button.

  • To force ReGet to intercept link it doesn't catch automatically, hold Ctrl+Alt keys both pressed while clicking download/link button.
  • Press F1 key to see description of a selected property in the property tree.

  • You can choose what columns to display from the context menu if right-click on a column header.

  • You can move a selected download up (down) in queue if hold ALT key while clicking Up and Down keys.

  • You can quickly move your download to the very top (bottom) of the queue if hold CTRL key while clicking Up (Down) toolbar button.

  • You can stop only one section of a selected download if press CTRL key while clicking Pause toolbar button.

  • You can add one more section to a selected download if press CTRL key while clicking Start toolbar button.

  • You can force start of a selected download over the limit of simultaneous downloads pressing Ctrl+Start.

  • Press Ctrl+Shift+Del shortcut to remove download from queue and downloaded file from your hard drive.

  • You can force a quick restart of a selected download if press CTRL and SHIFT keys while clicking Start button.

  • You can download from secure (HTTPS) servers with special add-on to ReGet Deluxe. Find it at ReGet Deluxe download page

  • You can specify a username and password for your download in the URL field. Example: ftp://username:password@ftp.server.com/Directory/file.zip

  • You can switch splash screen off if add -NoSplash to the filename in ReGet Deluxe shortcut.

  • If you want to know real URLs of all the files downloaded by your browser (including graphics, scripts, banners, buttons and invisible for user files like CSS, Java-scripts etc.), you can enable MSIE Spy.

  • You can force ReGet Deluxe to display traffic information in floating window. To do this, use following settings: Options-Program Options-All Properties-View settings-Display floating window-Show traffic graph on floating window.

  • If you use Internet Explorer based browser, you can drag selected text from browser and drop it into ReGet Deluxe floating window. ReGet Deluxe will display "URL list" dialog containing links found in selected text. This feature is useful when you need to download several files from web page with very large amount of links. You also can copy selected text block in clipboard, and then paste in ReGet (press Ctrl+V or select Edit-Paste from main ReGet menu) to achieve same result.


Integration settings.

About Integration
Description of Integration settings dialog elements

(top)
About Integration
ReGet Deluxe can automatically intercept downloads from browsers and integrate into context menu of browsers based on Internet Explorer (like MSN Explorer, etc.), monitor clipboard (and automatically create download when URL address is copied into clipboard). Also ReGet can catch links from Netscape Navigator and Opera browsers.

Integration with browsers based on Internet Explorer and with other browsers works different. If Internet Explorer is used, it's possible to select one of two integration methods: Low-Level Integration and Basic Integration.

Low-Level Integration is based on interception of default Internet Explorer's "File Download" dialog. This method works with all types of downloads, including complex redirects, forms, scripts, etc. It may however cause misbehavior in some third-party applications. In order to avoid activating ClickCatcher and passing the link to Internet Explorer for download you can hold the CTRL-key when clicking on the link.

Basic integration is recommended only if you experience problmes with third-party applications using Low-Level Integration. Using this method, ReGet will catch URL, which is being analyzed then, and if extension of file this URL points to is not in special "Ignore Extensions" list, ReGet adds a download then. It's necessary to suppress ReGet from catching files that must be interpreted by browser, e.g. HTML documents or Java scripts, etc.It might not intercept downloads from some complex redirects, forms and scripts, however it is safe to use with other applications. You can define extensions to be ignored from interceptions below.

For Netsape Navigator and Opera only Basic Integration is available.

To set up Integration settings select "Options-Integration" from main ReGet menu, or use Control Panel applet: Start-Settings-Control panel-ReGet integration.

(top)
Description of Integration settings dialog elements

Following is a description of Integration Settings dialog elements:

General

Default download manager.
This is one of download managers of ReGet family (ReGet Deluxe, ReGet 1.x, ReGet Junior). List content depends on installed download managers.
Confirmations
Ask for confirmation when adding download from browser.
If this checkbox is checked, ReGet will ask for confirmation when adding download from browser.
Ask for confirmation when adding download from clipboard.
If this checkbox is checked, ReGet will ask for confirmation when adding download from clipboard.

Internet Explorer
These settings are only have effect when Internet Explorer based browsers are used.
Intercept downloads from Internet Explorer.
If this checkbox is checked, ReGet will catch links from Internet Explorer.
Low-Level Integration, Basic Integration
Please read About integration in order to know what integration method is best for you.
Ignore Extensions
This list contains extensions which ReGet will ignore when adds download. E.g. if URL like http://www.myserver.com/index.html (extension is "html") was clicked, ReGet will not intercept this download, because extension "html" is in "Ignore Extensions" list. If URL like http://www.myserver.com/file.zip (extension is "zip") was clicked, ReGet will intercept such link and add download.
Intercept download only if Alt key is pressed
If this checkbox is checked, ReGet will add download only if Alt key was pressed during click on a link.
Add ReGet (...) to context menu.
If this checkbox is checked, ReGet will add options "Download with ReGet" and "Download all with ReGet". Last feature is useful, when it's necessary to download several files from one web page.
Nescape, Opera
Following settings are only have effect when Netscape Navigator or Opera is used.
Netscape Navigator
If this checkbox is checked, ReGet will catch links from Netscape Navigator.
Opera
If this checkbox is checked, ReGet will catch links from Opera.
Intercept download only if Alt key is pressed
If this checkbox is checked, ReGet will add download only if Alt key was pressed during click on a link.
Ignore Extensions
Purpose of this list is the same as above.
Clipboard
These are clipboard settings.
Monitor clipboard
If this checkbox is checked, ReGet will automatically add download when URL is copied to clipboard.
Ignore Extensions
Purpose of this list is the same as above.
Monitor Clipboard even if ReGet (...) is not running
If this checkbox is checked, ReGet will monitor clipboard even if it's not running
MSIE Spy
Enable MSIE Spy
MSIE Spy is application that allows to monitor all URL addresses that Internet Explorer requests. If this checkbox is checked, button "Spy" appears on Internet Explorer toolbar. To activate MSIE Spy, click that button. To enable feature of automatically decreasing of traffic priority in ReGet, when Internet Explorer is active and downloads something, either MSIE Spy must be enabled, or "Intercept downloads from Internet Explorer" checkbox must be checked.


Site Manager

What is Site Manager
When to use Site Manager
Site Settings
(top)

What is Site Manager
Site Manager is a tool that allow you to specify downloading properties (such as login and password, maximum allowed connections, etc.) for any server you are downloading from. Note that Site Manager is always in use when download queue is not empty: every time you start download from site, Site Manager creates temporary entry for this site (if it doesn't exist already), using default settings. Default settings for HTTP protocol site are unlimited number of connections to site, and no login required. Default settings for FTP protocol site are "1 simultaneous connection allowed to this site" and anonymous login to FTP site. Temporary entries are removed from Site Manager after download is finished. You can uncheck "Temporary entry" checkbox in specific site properties to make information about this site permanently.
(top)

When to use Site Manager
Site Manager is usually useful in following cases:
  • Site requires login and password. To specify login and password for any site, turn on the "Login required" option in this site's properties, and specify login and password.
  • Site doesn't allow more than n connections to it. Many of FTP sites don't allow more than one simultaneous connection. Using this option you can specify desired number of connections to site. Please note, that for FTP sites number of connections is limited by 1 by default.
(top)

Site Settings
Here is the brief description of the Site Manager settings (All properties): Default Download Settings
  • Use Passive FTP mode Use passive FTP mode.Tick this to make ReGet download in the passive (PASV) FTP mode.
  • Treat FTP URL as relative ones Makes ReGet treat the FTP URLs as relative URLs. Please read FAQ for additional information.
  • Do not use LIST command This option allows to reasonably speed up FTP downloads by not sending the LIST command to the FTP servers. Setting this ON might be required for some unusual FTP servers which do not respond to the LIST command, while it might affect ReGet ability to determine correct filesize before download from the regular FTP servers.
  • Use MDTM command for file timestamp information Makes ReGet use MDTM command to obtain accurate file timestamp information. This might insignificantly slow down your FTP downloads, however using this setting is crucial if you're planning on using ReGet to synchronize local folders with the remote FTP server content.
  • Pause before each retry The length (in seconds) of the pause before the new download attempt is undertaken.
  • Time out(s) The amount of time (in seconds) after which ReGet considers download timed out.
  • Idle FTP connection timeout (s) Timeout (in seconds), after which ReGet disconnects from the FTP server when there're no active downloads from this server. You might use this feature to speed up downloads if you are downloading a number of files in the queue from the same FTP server. If this is not 0, then ReGet does not disconnect from the FTP server when the download is completed for the specified amount of time, thus saves time not reconnecting to the same server for the next download from it.
Proxy settings
  • HTTP Proxy These are the settings for HTTP Proxy server. If you are not sure what your HTTP Proxy server is, select 'Get proxy settings from browser'.
  • FTP Proxy These are the settings for FTP Proxy server. If you are not sure what your FTP Proxy server is, select 'Get proxy settings from browser'.
  • Enable Socks Proxy Tick this if you want to use the Socks Proxy for downloading.


Scheduler

What is Scheduler
Common Scheduler tasks and Automation menu
Macros
(top)

What is scheduler
Scheduler is a ReGet Deluxe tool that allows to automate some repetitive tasks, e.g. automatically run antivirus program for downloaded file(s), or force computer to be shut down after all downloads are finished, etc.

It's implemented with tasks which may be created in Scheduler. Each task has two attributes : "What to do" and "When to start". Optionally one or more downloads may be associated with task.

"What to do" attribute can take following values:

  • Start download
  • Pause download
  • Run program
  • Run antivirus
  • Run script
  • Dial to the internet
  • Hang up
  • Exit ReGet Deluxe
  • Shutdown computer
  • Change traffic priority

"When to start" attribute has field "Schedule task", which can take following values:

  • Once
  • Daily
  • Weekly
  • Monthly
  • Continuously
  • When ReGet Deluxe starts
  • When dial-up connection is established
  • When there are no active downloads
  • When download is completed
  • If nothing is received
Combining attribute values in different unions, ReGet can be scheduled to perform various tasks.
(top)

Common scheduler tasks and Automation menu.
You can ReGet main menu item "Automation" to automatically create common tasks in Scheduler.
  • Check files by antivirus Select this option, then select your antivirus name from drop-down list in order to check each downloaded file by antivirus.
  • Shutdown if no active downloads. If you want you computer to be shut down when there are no active downloads, select this option and then select appropriate shutdown mode from drop-down list.
  • Hangup if no active downloads. If you want to hang up dial-up connection when there are no active downloads, use this menu option.
  • Run some program when download is completed To run a program when download is completed, create a new task in Scheduler, specfying "What to do" = "Run program" and "When to start" = "When download is completed". Specify program name in "Program name" field (e.g. "notepad.exe"), program path in "Program path" field (e.g. "C:\Windows"), and program arguments in "Arguments" fields. You can use some macros here, they are described here
Also Automation menu has option "Generate incremental file list". It adds a list of downloads created by specified rule. For example, you want to download list of files, named like "file01.zip", "file02.zip", and so on. You can use "Generate incremental file list" option to perform this and similar task.
(top)

Macros
There are two types of macros in ReGet Deluxe: Scheduler macros and Download macros
  • Scheduler macros When you create a new task in Scheduler, where action = "Run program" or "Run antivirus" and "When to start"="When download is completed", you can use following macros in "Arguments" field:

    Macros | Meaning
    [File] | full file name (with path)
    [FileName] | only file name with extension
    [FileTitle] | file name without extension
    [FileExt] | extension
    [FilePath] | path to file

    for example, file C:\My Downloads\test.zip was downloaded. and for it:

    Macros | Value
    [File] | C:\My Downloads\test.zip
    [FileName] | test.zip
    [FileTitle] | test
    [FileExt] | zip
    [FilePath] | C:\My Downloads\
  • Download macros You can use these macros in URL, Save to folder, and Save As download properties. For example you can set Save to folder property to C:\!in\[host]\[path] to sort download into directories.

    Macros | Meaning
    [Host] | host name from URL (for example www.microsoft.com)
    [Host`] | host name where all "." are replaced with "`" (for example www`microsoft`com)
    [Host_] | host name where all "." are replaced with "_" (for example www_microsoft_com)
    [Path] | Path from URL
    [Path`] | Path where all "/" are replaced with "`"
    [Path_] | Path where all "/" are replaced with "_"
    [Protocol] | protocol name (ftp,http)
    [Ext] | filename extension in URL
    [WeekDayS] | Abbreviated weekday name
    [FullWeekDayS] | Full weekday name
    [MonthS] | Abbreviated month
    [FullMonthS] | Full month name
    [Day] | Day of month as decimal number (1 - 31)
    [0Day] | Same as [Day], but if day is less than 10, leading zero will be added (01-31)
    [Hour] | Hour in 24-hour format (0 - 23)
    [0Hour] | Same as [Hour], but if hour is less than 10, leading zero will be added (00 - 23)
    [Hour12] | Hour in 12-hour format (1 - 12)
    [DayOfYear] | Day of year as decimal number (1 - 366)
    [Month] | Month as decimal number (1 - 12)
    [0Month] | Same as [Month], will leading zero (01 - 12)
    [Minute] | Minute as decimal number (0 - 59)
    [0Minute] | Same as [Minute], but with leading zero (00 - 59)
    [AmPm] | Current locale's A.M./P.M. indicator for 12-hour clock
    [Second] | Second as decimal number (00 - 59)
    [Week] | Week of year as decimal number, with Sunday as first day of week (0 - 51)
    [Weekday] | Weekday as decimal number (0 - 6; Sunday is 0)
    [WeekOfYear] | Week of year as decimal number, with Monday as first day of week (0 - 51)
    [Year] | Year without century, as decimal number (00 - 99)
    [Year4] | Year with century, as decimal number
    [TZ] | Time-zone name or abbreviation; no characters if time zone is unknown


History pane

History pane
History pane is a ReGet Deluxe tool, which is intended to store information about the files you download. Using history pane, you can quickly find any file you downloaded using ReGet Deluxe. It's possible to make searches in history using partial file names, e.g. "zip" query returns "myfile.zip" and "zippo.jpg"

To clear history, use menu option 'History-Clear History'.


Search

Search
Search is a ReGet Deluxe feature that gives you ability to perform search for files you want to download. You also can search for music files in MP3 format, in such case select "MP3" from "Search" drop-down menu. To give you an idea of how it works we provide you with this short description: After you enter a file name the program starts sending requests to the selected search engines. To see list of search engines and their current status, click on "Engines..." button. The request are sent in an AND manner, so the queries include all the input words. As the search engines give out the results, ReGet Deluxe reads and filters them for duplicates also checking the found hosts in case they may be down. After the check is done the program shows the results in a user-friendly format. The search result contains the following information:
  • File Name The actual name of the found file as it is stored on the server.
  • Host The address to the server hosting the located file in the Internet.
  • User The username needed to access the host.
  • Password The password needed to access the host.
  • Size The size of the located file.
  • URL The correct path to the file in the Internet, including the server address and server directories.

To simplify your choice of the file to download the search results may be sorted by any of the above listed criteria. Just click on any column to sort the results in an ascending manner and click the same column again to sort them in a descending manner.

Please note that some of the found files can not be downloaded straight away from the search results window for the following reasons:

The sites containing MP3 files may be of ratio and non ratio type.

Ratio sites require you to upload a file in order to gain access to the MP3's on that host.

Non-ratio sites allow you to download at any time except the case when the server is overloaded.(Too many people are using it at the current moment).

There is also another type of sites known as Banner which requrie you to read the welcome message and follow instructions of the following manner: Visit a certain website and click a specific banner. And in some position on the opened page (this place is described in the welcome message) the password to the server is located.

Useful Tips

When entering a specific artist and song name it is better to state them in the following manner: For example if you are looking for Mozart's Marriage of Figaro, it is better to input the following:
Mozart_-_The_Marriage_of_Figaro.mp3
As most MP3 filenames are constructed like that.

If you have just completed a search and wish to perform another one without clearing the old results input the desired song or artist name and click Locate while holding down the Shift key.

Quote an input to mark it as a phrase so that the search engines will seek the exact combination of these words, not each word separately (e.g. "My Favorite Game").

You can select Verify URL option from found file context menu to check whether the selected file may be downloaded and detect the type of the site hosting this file, or Verify All to check all URLs to see whether all of the located files may be downloaded and to see what types of sites are hosting these files.

Note: After performing one of the above verify operations the program places an appropriate icon next to the search results:

Good: This file may be downloaded straight away by one of the selected download managers. Or simply double-click on the search result.

Access Denies: You have to upload a file to that host in order to gain permission for downloading this file.

Bad: You cannot download this file. The server hosting this file may be down or perhaps the file could not be found.

Busy: The server hosting the file is busy at the moment e.g. too many people are using it. You will have to wait for some time to access it.

When the verification process is performed the program also checks the hosts for download resume support and places the following icons next to the search results:

Resumable: This host supports download resume. So you may continue your download from the point you have finished in case of a disconnection.

Not Resumable:If the download performed on this server is not resumable this icon is displayed.

Note: each time you restart the program the search result status becomes dimmed as the status may have changed.


FTP Explorer

FTP Explorer
We are glad to introduce new ReGet Deluxe feature called 'FTP Explorer'. It makes process of finding files to be downloaded from FTP (File Transfer Protocol) servers easier. In order to activate FTP Explorer pane, please use appropriate button on ReGet bar (or you can use menu: View-Change view-FTP Explorer, or keyboard shortcut Alt+7). Type address of FTP server in 'Address' field in order to start navigation (protocol prefix 'ftp://' is not necessary).

List below contains files and folders list available on specific FTP server. Bold font is used for folders (directories) names and italic font is used for file names. To enter specific folder or download file, please double-click on its name. If you want to download file, you will be prompted to do so.

If server you are trying to download file from requires any specific settings, they may be specified using the Site Manager.


Mirror Search

How it works

After you add a download to ReGet it requests the file size from the server where the file is located. Then, if the mirror search feature is on, ReGet sends the URL of your download and the file size to the mirror database at mirrordb.reget.com. If the database contains other entries with this file name and file size ReGet chooses the optimal location to download from. It can also download from all mirrors simultaneously to increase download speed.

Your query is also added to the database and later, if someone requests the file with the same name and size, he or she will be presented with the URL you have entered to the database.

ReGet does NOT send query to the database in the following cases:

  • if the URL contains password (like ftp://user:password@www.server.com/file.exe)
  • if the URL contains "stop-words": "personal", "private", "members", "user" or "secret" (like ftp://www.server.com/private/file.exe)
  • if the file size is less than 100 kb.

How to enable Mirror Search feature

Please note that after installation ReGet Deluxe 4.0 or higher Mirror Search feature is enabled by default. If you do not want to use this feature make sure that Automatically search for mirrors checkbox at Options-->General menu is unchecked (if the Mirror Search is off no URLs are being sent to mirrordb.reget.com). Even when the feature is on, you can disable it for specific download, category or server (for example, you may want to disable this feature for servers in your Local Network, or your friend's private server, or any other unpublic server that does not contain "stop-words" in the URL).

Privacy

When using the Mirror Search feature ReGet sends to the mirrordb.reget.com name and size of the file you are downloading (except cases when an URL contains password or "stop-words" or the file size is less than 100 kb). No other personal identifying information is being collected.

Why do we collect these data? Mirror Search feature is based on the sharing approach (like peer-to-peer applications, but you do not need to share your files or give an access to your local drives -- you share just information about files location). So the more requests come into the database the more effectively service works. We can also use this information to gather statistics on how the service works.

We guarantee that information we collect in this database will not be used in any other way except for the described above. We will not share this information with any third parties.

Using this service is optional. If you do not want to share URLs of files you download you can always turn this feature off.


Tips and tricks

Tips and tricks
In order to improve program performance when working with big (more than 500 downloads) download queues, please set up ReGet in the following way:
  • Disable automatic save of queue file (Options-Program options-All properties-General settings- Automatically save the queue-file).
  • Decrease the number of lines in the download log in order to decrease memory usage (Options-Program options-All properties-Log settings-Number of lines in download log).
  • Disable option 'Show traffic for selected downloads' (Options-Program options-All properties- View settings-Show Traffic for selected downloads).
  • Also it may be useful to disable option 'Animate ReGet's system tray icon, because process of animation takes significant amount of processor time, especially on slow machines.

Setup tips and tricks:

  • In a multi-user environment (when a few people are using the same computer) it is possible to have different queue-files for different users. Just make sure every user saves his/her queue-file under different file name, user using 'File-Save as' menu option.


ReGet Deluxe Features

Ease of use
Core features
Fastest downloads, better download experience
Advanced features

(top)

Ease of Use
  • Unmatched: No-quiz installation: Select your connection type and ReGet Deluxe will automatically tune download settings to use your Internet connection to full extent.

  • No-wizz installation: ReGet Deluxe can automatically detect and use your browser proxy-server settings.

  • One-click downloading: ReGet Deluxe works as the default download tool for all the popular browsers, such as Microsoft Internet Explorer 4.0 and higher, Netscape Communicator 4.0 and higher, Opera 4.0 and higher, NetCaptor 6.1, NeoPlanet 5.2, MSN Explorer 6.0.

  • Unmatched: Now with Microsoft Internet Explorer 6 and Netscape Navigator 6 supported.

  • Original: Quick download of multiple files linked from the same page with the original "Download All by ReGet Deluxe" browser context menu command*.

  • Unmatched: Complete control: We've even made toolbar in ReGet Deluxe fully customizable. Set it to suite your needs!

(top)

Core Features
  • ReGet Deluxe supports file download (retrieval) from both file transfer (FTP) and web (HTTP) servers.

  • Reliable downloads: ReGet Deluxe will make unlimited amount of attempts to download the file, until download is completed.

  • No time is wasted: ReGet Deluxe resumes broken downloads from where they left off from both HTTP and FTP servers. It saves your time as you wouldn't have to download again what you already have on your hard-drive!

  • Unmatched: ReGet Deluxe can download from secure servers (HTTPS) with special add-on available from the download page.

  • Unmatched: ReGet Deluxe can download from online file storages (like MySpace.com, iDrive.com, etc).

  • Local network support: ReGet Deluxe supports all popular proxy servers so you may use it in a corporate network. It's also possible to use UNC file names (like \\SERVER\share) in local network, and file:// protocol.

  • Unmatched: ReGet Deluxe supports not only basic proxy authentication, but also NT challenge/response (NTLM). Please note that username must be specified in DOMAIN\user format (e.g. MYDOMAIN\mrobinson), and password is a user's password to enter domain.

  • Corporate network support: ReGet Deluxe can also download from the remote network shares, which is crucial for multi-national companies' Wide Networks.

(top)

Fastest Downloads, Better Download Experience
  • Unmatched: 5-40 times speed improvement: with ReGet Deluxe feature to split the files being downloaded in sections and download all the sections at the same time. That is from 300% up to 500% improvement!

  • Original: Easy browsing while downloading: ReGet Deluxe can detect browser activity and automatically lower its traffic usage if the browser transfers data*, giving you ability to browse the Internet without interrupting your downloads.

  • Original: Built-in MSIE Spy - the program for monitoring browser activity. Watch the real URLs of all the files downloaded by the browser, otherwise invisible to user, such as graphics, scripts, banners, buttons included CSS and Javascript files, etc*.

  • Heaven for modem users: ReGet Deluxe has built-in dial-up integration. You don't have to run a lot of programs to download just one file. ReGet Deluxe can dial up to your ISP, download files and hang up when download is finished.

  • No slowdown: if one particular download slows down, ReGet Deluxe can reconnect to a server, giving a jump-start to your download.

(top)

Advanced Features
  • Unmatched: Advanced browser integration system allows ReGet Deluxe intercept and process all types of links, including forms and redirection scripts.

  • Unmatched: ReGet Deluxe provides extensive logging of every download attempt and every program action, wherever it was successful or failed.

  • Original: With the Site Manager you can set downloading properties (such as login and password, maximum allowed connections, etc.) for any server you will be downloading from.

  • Unmatched: Built-in Advanced Scheduler lets you schedule such an events as: start and pause downloads, start and close program, dial and hang up. You can set any ReGet Deluxe event to happen at any time you want, regularly or depending on another event.

  • Unmatched: Total recall: Advanced History will give you information about all files you have ever downloaded. You'll never forget when, what and where from you have downloaded a file and where it is located.

  • Unmatched: You can now edit properties for a number of selected downloads in one go.

  • Unmatched: Use macros to automatically create folders named accordingly to the extensions of downloaded files, date of downloading or name of the destination server.

* For Microsoft Internet Explorer and browsers based on it only.


ReGet command line parameters

regetdx.exe [options] [url1] [url2] [file1.wjr] [file2.wjr]
By default ReGet opens default.wjr from directory where regetdx.exe is placed

-Setup
Setup ReGet on your system. Adds items to Start & MSIE context menus, adds sound events, etc. Use this option if you have moved ReGet to another directory
-Uninstall
Deletes ReGet from registry and Start Menu. Use this option to manually uninstall ReGet.
-Add
Forces ReGet to pass parameters to already running instance. If ReGet isn't running and -NoStart flag not specified new instance of ReGet is started
-NoStart
Prevents ReGet from starting if used with /Add
-NoSplash
Prevents ReGet from displaying logo at startup.


ReGet Deluxe Help

Frequently Asked Questions

Content:

  1. Connectivity issues:
    1. How does resume in FTP work?
    2. How does resume in HTTP work?
    3. What is the PASV mode (passive mode)?
    4. How does "Smart Rollback" work and what is it all about?
    5. Can ReGet Deluxe download from online files storages (like idrive.com, myspace.com, etc.)?
    6. How can I download a file from HTTPS server?
  2. Proxy-servers and firewalls:
    1. Why isn't the file size displayed when downloading files from FTP via Microsoft Proxy Server?
    2. I download from FTP-server with broken downloads resume-support via proxy-server, but ReGet Deluxe always starts downloading from the beginning. Why?
    3. How to find proxy settings?
    4. Can ReGet Deluxe work with SOCKS proxy?
    5. I use Wingate or Firewall programs, what should I configure to download with ReGet Deluxe?
  3. Using ReGet Deluxe issues:
    1. What operating should I use for ReGet Deluxe to work properly?
    2. How do I specify a username and password for my download?
    3. There is no "Download using ReGet Deluxe" option in context menu of my browser. What's wrong?
    4. How do I disable ReGet Deluxe for a particular link or site?
    5. How does Integration in Opera work?
    6. What does Error [5] LocalFileWrite mean?
    7. When I try to run ReGet Deluxe nothing happens - why?
    8. How to force ReGet to download files without splitting them in sections, so every file is being downloaded strictly in 1 section?
    9. How to force ReGet to download only one file at same time in order to get each queued file faster?
    10. After installing ReGet Internet Explorer sometimes displays web pages using incorrect encoding and/or applies CSS stylesheets incorrectly. How do I fix it?
  4. Downloading problems:
    1. Why can't I download Windows Update with ReGet Deluxe?
    2. I can't retrieve files from an FTP-server, what should I do?
    3. I am using Napster and ReGet Deluxe cannot download from it.
    4. When I try to download mp3 file from MP3.com or another server, it automatically opens with my music player (WinAmp, etc) and not being downloaded with ReGet Deluxe.
    5. Why can't I download group of files by mask from FTP-servers sometimes?
    6. Why can't ReGet Deluxe sometimes retrieve files from Web-servers, and my browser can?
  5. Security issues:
    1. What information does ReGet Deluxe send about me and my system?
    2. I've heard rumors about privacy concerns with ad-sponsored software. What can you tell me about that?
    3. Can ReGet Deluxe scan files for viruses?
  6. Useful Tips:
    1. How to switch the splash screen off?

  • Connectivity issues:

    1. Question:
      How does resume in FTP work?
      Answer:
      Most FTP-servers support "REST nnn" command. When client passes this command to server, server sends file from the specified position. Most known server with no broken downloads resume is Microsoft IIS. To be correct, it supports "REST nnn" but requires nnn to be equal 0.

      Back to the Content

    2. Question:
      How does resume in HTTP work?
      Answer:
      The special field ("Range: bytes nnn-") have to be supplied in the file request form. If WWW-server supports resume, it returns code 206 and specified part of the file. If it doesn't, it returns the whole file (as in regular request).

      Back to the Content

    3. Question:
      What is the PASV mode (passive mode)?
      Answer:
      Usually, when retrieving files over FTP, two connections are used: for commands and for data. Command-connection is set by client, data-connection is set by server. In some cases (when using firewall for instance) both connections have to be set by client. In such a cases server goes to passive mode when "PASV" command is sent from client.

      Back to the Content

    4. Question:
      How does "Smart Rollback" work and what is it all about?
      Answer:
      Smart Rollback can be used only while downloading via proxy-server. When you are using proxy-server two connections are being created:
      (1) (2)
      Client <-> proxy-server <-> WWW/FTP-server
      If first connection breaks no additional processing from ReGet is required.
      However, when second connection breaks, proxy-server usually passes error message, adding it to the end of downloaded file. So, if you continue download, you will have this error message within the downloaded file. There are two possible solutions:

      1. When either (first or second) connection breaks we cut off last 2Kb of downloaded file (so does GetRight). The disadvantage is that it was a first connection which broke (so, no extra-stuff is in the downloaded piece of file), so we loose 2Kb of hardly-downloaded file. Also, error messages are usually shorter than 2Kb, though it depends on the server and kind of error.
      2. At any break, we scan last 2Kb for the error string. Author aware only of two possibilities here: "HTTP/1.x" and "<HTML>" (if you encounter any other, please e-mail the author, and he'll add it to the program). So, if we found an error message we cut it off. If we don't find it -- we consider this broke as it was first connection which failed. The disadvantages are: error message can be in the file, but it can be more than 2Kb long, the error messages can start the other way (as we expect). Special case. Some proxy-servers (Microsoft Proxy Server for example) do not report file size when downloading from FTP-servers. So in case of error on the second connection, only way to discover it is to use "Smart rollback". In this case (when downloading via proxy-server, and file size not known, "Smart rollback" is being used ALWAYS.

      Back to the Content

    5. Question:
      Can ReGet Deluxe download from online files storages (like idrive.com, visto.com, etc.)?
      Answer:
      Many of free web-disk-space sites are not completely compatible with download managers. But we try to improve this compatibility.
      You can download from most of online storages by doing a few additional steps:
      • www.idrive.com: Make your folder shared to download from it with ReGet Deluxe or use HTTPS add-on to ReGet Deluxe.
      • www.visto.com: We didn't notice any problems with downloading by ReGet Deluxe.

      Back to the Content

    6. Question:
      How can I download a file from HTTPS server?
      Answer:
      ReGet Deluxe can download from secure (HTTPS) servers with special add-on. You can get it here.

      Back to the Content

  • Proxy-servers and firewalls:

    1. Question:
      Why isn't the file size displayed when downloading files from FTP via Microsoft Proxy Server?
      Answer:
      MS Proxy doesn't provide sizes of files from FTP. It isn't ReGet bug, it's a bug of MS Proxy. Also, as ReGet is not aware of actual file size, it cannot determine the connection breaks. So, if MS Proxy broke connection, for ReGet it would look like successful download.

      Back to the Content

    2. Question:
      I download from FTP-server with broken downloads resume-support via proxy-server, but ReGet Deluxe always starts downloading from the beginning. Why?
      Answer:
      The proxy-server might not be supporting resume (like Microsoft Proxy Server). If this is a case, you may try to use direct connection or Winsock-client.

      Back to the Content

    3. Question:
      How to find proxy settings?
      Answer:
      Check the proxy settings in your browser to see if you can find the correct settings. Browsers bury these settings, but here is where they are:
      In IE: click "Tools"--"Internet options" then "Connections" then "LAN settings" then (finally) you will see the proxy settings.
      In Netscape: click "Edit"--"Preferences" then "Advanced" then "Proxies".

      Back to the Content

    4. Question:
      Can ReGet Deluxe work with SOCKS proxy?
      Answer:
      ReGet 1.8 and higher can correctly work with SOCKS proxy, so we recommend you to install the latest version of ReGet Deluxe. Older versions of ReGet don't have built-in support for SOCKS proxies, but you can use SocksCap32 or similar program to make ReGet work with SOCKS.

      Back to the Content

    5. Question:
      I use Wingate or Firewall programs, what should I configure to download with ReGet Deluxe?
      Answer:
      If you use a firewall program, you might need to set it up to allow ReGet Deluxe access to the Internet.
      Wingate can automatically find browsers and email clients, but doesn't find ReGet Deluxe, so you will have to add it manually. You will need to add ReGet Deluxe to the list of programs that have direct access "globally" to the Internet.

      Back to the Content

  • Using ReGet Deluxe issues:

    1. Question:
      What operating should I use for ReGet Deluxe to work properly?
      Answer:
      Windows 95/98/2000/NT/ME, Internet Explorer 4.0 and higher, at least 8 Mb of RAM are required for successful installation and use of ReGet Deluxe. If you are using an old version of Windows 95 you may have to download ComCtl32.dll Update and DCOM (Distributed COM) update for Windows 95 from our download page.

      Back to the Content

    2. Question:
      How do I specify a username and password for my download?
      Answer:
      The easiest way to specify a username and password is to fill the appropriate fields in Download Properties. You can also do it like that: ftp://username:password@ftp.server.com/DirectoryName/file.zip

      Back to the Content

    3. Question:
      There is no "Download using ReGet Deluxe" option in context menu of my browser. What's wrong?
      Answer:
      "Download using ReGet Deluxe" option is available only in Internet Explorer, NeoPlanet, NetCaptor and MSN Explorer. If you use Netscape Navigator or Opera you may only add a download by clicking on a link while ALT-key is pressed.
      If you use IE or IE-based browsers and IE integration checkbox (in the "Options-->Integration" menu) is checked, run ReGet Deluxe from the command line (Start-->Run in Windows) with the "setup" key (you should type in the command line something like "C:\Program Files\ReGetDx\ReGet.exe -setup"). ReGet Deluxe must not be run at that time. And we also recommend you to use the latest version of ReGet Deluxe (please check up our site for the newest version).

      Back to the Content

    4. Question:
      How do I disable ReGet Deluxe for a particular link or site?
      Answer:
      To disable ReGet Deluxe temporarily for a particular link, hold down the CTRL key while clicking on the link.

      Back to the Content

    5. Question:
      How does Integration in Opera work?
      Answer:
      You should keep ALT-key pressed when click on a link to add a download from Opera. "Download using ReGet Deluxe" context menu option may be implemented later. "Download all by ReGet Deluxe" option will hardly ever possible, as Opera does not support it.

      Back to the Content

    6. Question:
      What does Error [5] LocalFileWrite mean?
      Answer:
      Generally, this error means that you cannot access the file. Make sure that you have enough disk space, the file is not being used by another application or someone else couldn't prohibit writing to this directory on your PC. To make sure we'd recommend you to reboot your PC and try to resume download after that.

      Back to the Content

    7. Question:
      When I try to run ReGet Deluxe nothing happens - why?
      Answer:
      It is the known Microsoft bug described at http://support.microsoft.com/support/kb/articles/Q170/3/64.ASP?LNG=ENG&SA=AL . To avoid this bug the string for the following named value must contain a single valid executable name for the shell process (explorer.exe by default):

      HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Winlogon
      Shell=

      Back to the Content

    8. Question:
      How to force ReGet to download files without splitting them in sections, so every file is being downloaded strictly in 1 section?
      Answer:
      You should set value of option 'Number of allowed simultaneous connections' in 'Default download settings' to 1. Default value of this option is 0, which allows ReGet to use optimal section splitting for each download.

      Back to the Content

    9. Question:
      How to force ReGet to download only one file at same time in order to get each queued file faster?
      Answer:
      You should set value of option 'Number of simultaneous downloads' in 'General Settings' to 1. Default value of this option is 0, which allows ReGet not to limit the number of files being downloaded simultaneously, which helps download the whole queue quicker.

      Back to the Content

    10. Question:
      After installing ReGet Internet Explorer sometimes displays web pages using incorrect encoding and/or applies CSS stylesheets incorrectly. How do I fix it?
      Answer:
      Sometimes using Low-Level integration method causes Internet Explorer to select web page encoding and/or apply CSS stylesheets incorrectly. The workaround is to disable MSIE Spy and select Basic integration method for Internet Explorer using "Internet Explorer" tab in "Integration settings" dialog.

      Back to the Content

  • Downloading problems:

    1. Question:
      Why can't I download Windows Update with ReGet Deluxe?
      Answer:
      Microsoft Windows Update uses its own "install-from-web" software that is incompatible with other download managers.

      Back to the Content

    2. Question:
      I can't retrieve files from an FTP-server, what should I do?
      Answer:
      If you are connected to Internet through a firewall/proxy-server, please enable "PASV mode" in the FTP settings for your download(s).

      Back to the Content

    3. Question:
      I am using Napster and ReGet Deluxe doesn't start with it.
      Answer:
      Napster has its own download manager, and does not work with external download managers.

      Back to the Content

    4. Question:
      When I try to download mp3 file from MP3.com or another server, it automatically opens with my music player (WinAmp, etc) and not being downloaded with ReGet Deluxe.
      Answer:
      If you want to download the files that automatically play in WinAmp, etc. try to do the following:
      Hold CTRL when click on the link to the file. This will download a very small .AU file. View this file in Notepad and it will contain a real URL to the MP3 file. Highlight this string, copy it to the clipboard and paste to ReGet Deluxe.

      Back to the Content

    5. Question:
      Why can't I download group of files by mask from FTP-servers sometimes?
      Answer:
      You can't use "*" and "?" in URLs to download files from FTP-server when using the HTTP-proxy.

      Back to the Content

    6. Question:
      Why can't ReGet Deluxe sometimes retrieve files from Web-servers, and my browser can?
      Answer:
      Most likely, the destination server is checking either "User-agent" field or "Referrer" (or both) which are being sent in HTTP-request. Try to disable "User-agent" and set "Referrer" to the page in which you found a link to the file. In most cases, ReGet Deluxe can obtain the necessary "Referrer" setting from your browser, but sometimes it might not work.

      Back to the Content

  • Security issues:

    1. Question:
      What information does ReGet Deluxe send about me and my system?
      Answer:
      All the information ReGet Deluxe sends is described at this page.

      Back to the Content

    2. Question:
      I've heard rumors about privacy concerns with ad-sponsored software. What can you tell me about that?
      Answer:
      ReGet Software guarantees that ReGet Deluxe Free (if downloaded from official ReGet Software servers) is absolutely clear from any viruses and trojans. All information it sends to ReGet Software and Conducent servers is described in appropriate documents, such as: ReGet Software privacy statement and ReGet Deluxe end user license agreement which is displayed before installation of ReGet Deluxe. For your accommodation we've gathered all this information at one page.
      We can assure you that ReGet (including all its components) doesn't send any other information about your system so it cannot be regarded as a trojan program.

      Back to the Content

    3. Question:
      Can ReGet Deluxe scan files for viruses?
      Answer:
      ReGet Deluxe lets you choose to use whatever virus scanner program you want in ReGet Deluxe schedule.

      Back to the Content

  • Useful Tips:

    1. Question:
      How to switch the splash screen off?
      Answer:
      Add "/NoSplash" to the filename in ReGet Deluxe shortcut.

      Back to the Content


Description of program properties

Following is the brief description of main program properties and settings.

To access Application properties tree, select "Options-Program options-All Properties" from main menu.

In order to access Download Properties tree, double-click on certain download or select "Properties" in download context menu.

Site Properties tree may be accessed in the same way.


 General Settings
General settings Traffic Mode
Default traffic mode to be used. Traffic limit (b/s) in suspended mode
How much traffic (in b/s) ReGet Deluxe is taking in the suspended mode. This value should depend on your connection type and normally set by ReGet Deluxe basing on your connection selection during installation. Traffic limit (b/s) in cooperative mode
How much traffic (in b/s) ReGet Deluxe is taking in the cooperative mode. This value should depend on your connection type and normally set by ReGet Deluxe basing on your connection selection during installation. Number of connections in suspended mode
The maximum number of connections allowed in suspended mode. Number of connections in cooperative mode
The maximum number of connections allowed in cooperative mode. Number of connections in unlimited mode
The maximum number of connections allowed in unlimited mode. Number of simultaneous downloads
Specify how many simultaneous downloads you want ReGet Deluxe to run. Automatically save the queue-file
Tick this to have the queue-file automatically saved. Auto-save every (s)
Time (in seconds) between auto-saves. Enable sounds on the program events
Tick this if you want some program events to be accompanied with sounds. Decrease traffic usage on browser activity
Tick this if you want ReGet Deluxe to decrease the traffic usage depending on your browser activity. This is especially usefull if you have dial up modem connection to the Internet and don't want ReGet Deluxe to interfere with your Internet browsing. Default number of connections to FTP servers
Enter the number of allowed simultaneous connections to the unknown (not in the Site Manager list) FTP servers. It's advised to set this to 1, because some FTP servers may ban your IP-address for attempting to establish more than 1 connection. Default number of connections to HTTP servers
Enter the number of allowed simultaneous connections to the unknown (not in the Site Manager list) HTTP servers. Most, but not all, HTTP servers allow unlimited number of connections.. Double-click on paused download
Action to perform when user double-clicks on paused download. Double-click on active download
Action to perform when user double-clicks on active download. Double-click on successful download
Action to perform when user double-clicks on successful download. Double-click on failed download
Action to perform when user double-clicks on failed download. View Settings
View settings for ReGet Deluxe. Exit button works as minimize
Tick this to make ReGet Deluxe minimize on clicking on exit button. Minimize ReGet to system tray
Makes ReGet Deluxe minimize to the system tray icon. Keep ReGet always on top
Makes ReGet Deluxe stay on top of other applications even if it looses focus. Minimize at start
Minimize ReGet window at start Show ReGet icon in system tray
When to show ReGet icon in the system tray. Animate ReGet's system tray icon
Tick this to make ReGet Deluxe to animate ReGet's system tray icon. Show traffic information in system tray icon
Tick this to make ReGet Deluxe display traffic information in ReGet's system tray icon. Display floating window
Tick this to make ReGet display small floating window (drag'n'drop target). Floating window transparency
Specify the transparency (in percents) of the floating window. Show traffic graph on floating window
Description not available Show additional info on floating window
Description not available Numbers format
The numbers format. Show download speed in
Description not available Do not show tray notifications
Do not show download completion notifications in system tray area Show traffic for selected downloads
Show traffic for selected downloads on the traffic graph. This option may slow down ReGet when working with large number of downloads. Colors settings
Description not available Background color for progress indicator
Description not available Progress indicator color
Description not available Completed section color
Description not available Active section color
Description not available Traffic Graph color
Description not available Traffic Graph color (selected downloads)
Description not available Traffic Graph background color (top)
Description not available Traffic Graph background color (bottom)
Description not available Tray traffic graph background color
Description not available Tray traffic graph color
Description not available Confirmations Settings
Settings for the confirmations. Confirmation on deleting successful downloads
Tick this to be asked for confirmation on deleting successful downloads. Confirmation on deleting selected downloads
Tick this to be asked for confirmation on deleting selected downloads. Confirmation on deleting selected tasks
Tick this to be asked for confirmation on deleting successful tasks. Confirmation on deleting selected sites
Tick this to be asked for confirmation on deleting sites from the Site Manager. Confirmation on drag'n'drop
Tick this to be asked for confirmation on dropping a link to ReGet Deluxe for download. Confirmation on Exit from the program
Tick this to be asked for confirmation on exiting ReGet Deluxe. Default confirmation timeout (s)
Default confirmation timeout for all the selected confirmation settings. Log Settings
Settings for the log file(s) for your downloads. Number of lines in download log
Number of lines to remember in each download's log. Store program log in the file
Tick this to be prompted for a filename to store the program log file in. Filename
The filename to store the program log file. Number of lines in program log
Number of lines to remember in the program's log. Detailed dial up log
Description not available Store scheduler log in the file
Tick this to be prompted for a filename to store the scheduler log file in. Filename
Description not available Number of lines in the [TASKSNAME] Tasks log
Number of lines to remember in the [TASKSNAME] Tasks log. Include version when copying into clipboard
Description not available Default Download Settings
Default settings to be inherited by all downloads you add. While you can adjust properties for each particular download, it's advised to set the properties you want most of your downloads to inherit here. Save to folder
Folder to which downloaded file will be saved. Temporary Folder
Makes ReGet Deluxe store the partially downloaded files in the different (temporary) folder. Update Descript.ion file with download description
Makes ReGet Deluxe append the 'descript.ion' file with the download description when download is completed. Filename to store descriptions in
The alternative (different from 'descript.ion') filename to store download descriptions in. Reserve space on disk for entire file
Description not available Use 'hidden' attribute on partially downloaded files
Makes ReGet Deluxe use the 'hidden' attribute to mask partially downloaded files. This way, file would normally not appear in the Windows Explorer until download is completed. Do not apply restricted security zone
Do not apply restricted security zone to downloaded files (Windows XP SP2 and later only) Use special extension on partially downloaded files
Makes ReGet Deluxe use the special extension to append to the partially downloaded files to make it easy to differentiate them from fully downloaded files. This way, even partially downloaded files would appear in the Windows Explorer, but you will be able to easily differentiate fully downloaded files from partially downloaded files. Special extension
The extension to append partially downloaded files with. By default, this extension is '.reget'. Get timestamp from destination server
Makes ReGet Deluxe to request the time and date information from the destination server and use it when timestamping the local file. Minimal size of file to download
The minimal size for which ReGet Deluxe will attempt to download a file. This option has been enabled for downloading from HTTP (Web) servers which sometimes respond with a small web-page instead of the file you are trying to download. The default value is 0. Please refer to FAQ for additional information. Remove successful downloads from queue
Automatically remove successful downloads from the queue upon completion. Number of errors before download is stopped
How many errors are allowed before download is stopped. Pause before each retry (s)
The length (in seconds) of the pause before the new download attempt is undertaken. Time out (s)
The amount of time (in seconds) after which ReGet Deluxe considers download timed out. Minimal section size
The minimal size for which the new download section is spawned. Number of allowed simultaneous connections
Description not available Ignore site restriction
Ignore restriction on simultaneous connections from the Site Manager for this download. Action on 'Access Denied' error
The action ReGet Deluxe is to undertake when it receives 'Access Denied' error message from server. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. Action on 'File Not Found' error
The action ReGet Deluxe is to undertake when it receives 'File Not Found' error message from server. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. Action on 'Write File' error
The action ReGet Deluxe is to undertake when it cannot write to the local file. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. If the file already exists
Description not available Rename macros
Description not available Do not restart download if resuming is not supported
Set this option to force ReGet Deluxe to NOT restart download from the beginning if resuming is not supported by the destination server. With this unchecked, ReGet Deluxe will flush the file already downloaded and try to re-download it from the beginning. With this checked, ReGet Deluxe will keep the partially downloaded file, which you might be able to resume from another server Restart download if download speed is too low
This option makes ReGet Deluxe to restart download if the downloading speed falls down. Restarting download normally gives a kick in communication to a server you are downloading from and speeds up your download. If the average download speed falls below (b/s)
The bottom limit of average download speed after dropping to which ReGet Deluxe restarts download. For the following amount of time (s)
The time (in seconds) for which when the average download speed falls ReGet Deluxe is to restart download. Start download on creation
If this is ticked ReGet Deluxe will automatically start download on creation. Download attempts before switching download to Delayed Mode
Number of times ReGet Deluxe should retry the download before switching it to the Delayed Mode. Ignore change of file size on server
Ignore change of file size on server. Clear log for successful downloads
Clear log for successful downloads to decrease memory usage. Do not keep in history
Do not keep this download in history. FTP settings
Settings for downloads from FTP servers. Idle FTP connection timeout (s)
Timeout (in seconds), after which ReGet Deluxe disconnects from the FTP server when there're no active downloads from this server. You might use this feature to speed up downloads if you are downloading a number of files in the queue from the same FTP server. If this is not 0, then ReGet Deluxe does not disconnect from the FTP server when the download is completed for the specified amoutn of time, thus saves time not reconnecting to the same server for the next download from it. Use passive FTP mode
Tick this to make ReGet Deluxe download in the passive (PASV) FTP mode. Download subdirectories from FTP
Makes ReGet Deluxe also download subdirectories from remote FTP server if the mask is used in the URL or when a filename is omitted. Create subdirectories locally
Makes ReGet Deluxe to fully mirror the remote FTP server by recreating locally the remote server folder structure when downloading files from remote server. Treat FTP URLs as relative ones
Makes ReGet Deluxe treat the FTP URLs as relative URLs. Please read FAQ for additional information. Do not use LIST command
This option allows to reasonably speed up FTP downloads by not sending the LIST command to the FTP servers. Setting this ON might be required for some unusual FTP servers which do not respond to the LIST command, while it might affect ReGet Deluxe ability to determine correct filesize before download from the regular FTP servers. Use MDTM command for file timestamp information
Makes ReGet Deluxe use MDTM command to obtain accurate file timestamp information. This might insignificantly slow down your FTP downloads, however using this setting is crucial if you're planning on using ReGet Deluxe to synchronize local folders with the remote FTP server content. Inherit properties from parent download
Description not available Enable FTP compression (MODE Z)
Try to use FTP compression (MODE Z) if server supports it. HTTP settings
Settings for downloads from HTTP servers. HTTP user-agent information
This affects how does ReGet Deluxe represent itself to remote HTTP servers. It is advised to use some popular browser representation to download from servers which might query for this field. Custom HTTP user-agent information
Specify your custom HTTP user-agent information here. It is advised to use some popular browser representation to download from servers which might query for this field. Use HTTP 1.1
This option makes ReGet Deluxe to use HTTP 1.1 protocol. Do not generate referers
If referer string is blank, ReGet automatically generates it basing on download URL. Uncheck this option to keep referer strings blank. Use Cookies for HTTP downloads
Makes ReGet Deluxe to try to use cookies for downloads. This might be required for some servers which place a cookie on your computer before allowing you to download. Ask server to send data in compressed format
Description not available HTTPS settings
Description not available Use client certificate for authentication
Description not available Certificate type
Description not available Certificate Filename
Description not available Certificate Password (for PKCS #12)
Description not available MMS and RTSP Settings
Description not available Always use HTTP for MMS urls
Check if you want to use HTTP for MMS urls (MMSH protocol). Choose connection speed
Select your connection speed (required media quality) Proxy Settings
Settings for the proxy server(s) to be used with your downloads. HTTP Proxy
These are the settings for HTTP Proxy server. If you are not sure what your HTTP Proxy server is, select 'Get proxy settings from browser'. HTTP Proxy server type
The HTTP Proxy server type Server name
The name of the HTTP Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTP Proxy server requires login, specify the username here. Password
If your HTTP Proxy server requires login, specify the password here. FTP Proxy
These are the settings for FTP Proxy server. If you are not sure what your FTP Proxy server is, select 'Get proxy settings from browser'. FTP Proxy server type
The FTP Proxy server type. Server name
The name of the FTP Proxy server. If you need to specify the port different from 21, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your FTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your FTP Proxy server requires login, specify the username here. Password
If your FTP Proxy server requires login, specify the password here. HTTPS Proxy
These are the settings for HTTPS Proxy server. If you are not sure what your HTTPS Proxy server is, select 'Get proxy settings from browser'. HTTPS Proxy server type
The HTTPS Proxy server type Server name
The name of the HTTPS Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTPS Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTPS Proxy server requires login, specify the username here. Password
If your HTTPS Proxy server requires login, specify the password here. Enable Socks Proxy
Tick this if you want to use the Socks Proxy for downloading. Socks type
Specify the Sock Proxy type. Server name
The name of the Socks Proxy server. Use Socks proxy server to resolve URLs
Description not available Login required
If your Socks Proxy server requires login, please tick this to be prompted for username and password. Username
If your Socks Proxy server requires login, specify the username here. Password
If your Socks Proxy server requires login, specify the password here. Do not use SOCKS for HTTP links
Description not available Do not use SOCKS for FTP links
Description not available Force proxy server to don't use a cache
This option makes ReGet Deluxe to force the proxy server to don't use a cache for download. Use HTTP 1.1 on Proxy
This option makes ReGet Deluxe to use HTTP 1.1 protocol when connecting through proxy server. Use Rollback
Makes ReGet Deluxe to use Rollback feature. Please refer to FAQ for more information on this feature. Size (b) for 'Smart Rollback'
Description not available Use 'Smart Rollback'
Makes ReGet Deluxe to use 'Smart Rollback' feature. Please refer to FAQ for more information on this feature. HTML-page beginning tags to look for
These are the HTML Tags ReGet Deluxe will be looking for when using the 'Smart Rollback' feature. Please refer to FAQ for more information on this feature.


 General Settings
General settings URL
This is the URL where the file is being downloaded from. Download description
Download description. Save under filename
Save downloaded file under different filename (optional). Save to folder
Folder to which downloaded file will be saved. Login required
Description not available Username
If login is required for the download, specify the username here. Password
If login is required for the download, specify the password here. Start download on creation
If this is ticked ReGet Deluxe will automatically start download on creation. Local File Settings
Description not available Temporary Folder
Makes ReGet Deluxe store the partially downloaded files in the different (temporary) folder. Update Descript.ion file with download description
Makes ReGet Deluxe append the 'descript.ion' file with the download description when download is completed. Filename to store descriptions in
The alternative (different from 'descript.ion') filename to store download descriptions in. Reserve space on disk for entire file
Description not available Use 'hidden' attribute on partially downloaded files
Makes ReGet Deluxe use the 'hidden' attribute to mask partially downloaded files. This way, file would normally not appear in the Windows Explorer until download is completed. Do not apply restricted security zone
Do not apply restricted security zone to downloaded files (Windows XP SP2 and later only) Use special extension on partially downloaded files
Makes ReGet Deluxe use the special extension to append to the partially downloaded files to make it easy to differentiate them from fully downloaded files. This way, even partially downloaded files would appear in the Windows Explorer, but you will be able to easily differentiate fully downloaded files from partially downloaded files. Special extension
The extension to append partially downloaded files with. By default, this extension is '.reget'. Get timestamp from destination server
Makes ReGet Deluxe to request the time and date information from the destination server and use it when timestamping the local file. Minimal size of file to download
The minimal size for which ReGet Deluxe will attempt to download a file. This option has been enabled for downloading from HTTP (Web) servers which sometimes respond with a small web-page instead of the file you are trying to download. The default value is 0. Please refer to FAQ for additional information. Download Settings
Description not available Remove successful downloads from queue
Automatically remove successful downloads from the queue upon completion. Number of errors before download is stopped
How many errors are allowed before download is stopped. Pause before each retry (s)
The length (in seconds) of the pause before the new download attempt is undertaken. Time out (s)
The amount of time (in seconds) after which ReGet Deluxe considers download timed out. Minimal section size
The minimal size for which the new download section is spawned. Number of allowed simultaneous connections
Enter the number of allowed simultaneous connections to this site. Most (however not all!) HTTP (Web) servers support unlimited number of connections, recommended setting for the FTP servers is 1, unless you are sure this FTP server supports more than 1 connection from the same IP-address. Traffic limit for this download (b/s)
The traffic limit for selected download. You can set the limitation on traffic usage for particular download to allow other download(s) to complete faster. Ignore site restriction
Ignore restriction on simultaneous connections from the Site Manager for this download. Action on 'Access Denied' error
The action ReGet Deluxe is to undertake when it receives 'Access Denied' error message from server. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. Action on 'File Not Found' error
The action ReGet Deluxe is to undertake when it receives 'File Not Found' error message from server. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. Action on 'Write File' error
The action ReGet Deluxe is to undertake when it cannot write to the local file. Select from: Restart Download; Fatal Error; Delay Download. Please note, that Delay Download will put the download back in the queue in the waiting mode to be reactivated when the next download is completed. If the file already exists
Description not available Rename macros
Description not available Do not restart download if resuming is not supported
Set this option to force ReGet Deluxe to NOT restart download from the beginning if resuming is not supported by the destination server. With this unchecked, ReGet Deluxe will flush the file already downloaded and try to re-download it from the beginning. With this checked, ReGet Deluxe will keep the partially downloaded file, which you might be able to resume from another server Restart download if download speed is too low
This option makes ReGet Deluxe to restart download if the downloading speed falls down. Restarting download normally gives a kick in communication to a server you are downloading from and speeds up your download. If the average download speed falls below (b/s)
The bottom limit of average download speed after dropping to which ReGet Deluxe restarts download. For the following amount of time (s)
The time (in seconds) for which when the average download speed falls ReGet Deluxe is to restart download. Download attempts before switching download to Delayed Mode
Number of times ReGet Deluxe should retry the download before switching it to the Delayed Mode. Ignore change of file size on server
Ignore change of file size on server. Clear log for successful downloads
Clear log for successful downloads to decrease memory usage. Do not keep in history
Do not keep this download in history. Proxy Settings
Settings for the proxy server(s) to be used with your downloads. HTTP Proxy
These are the settings for HTTP Proxy server. If you are not sure what your HTTP Proxy server is, select 'Get proxy settings from browser'. HTTP Proxy server type
The HTTP Proxy server type Server name
The name of the HTTP Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTP Proxy server requires login, specify the username here. Password
If your HTTP Proxy server requires login, specify the password here. FTP Proxy
These are the settings for FTP Proxy server. If you are not sure what your FTP Proxy server is, select 'Get proxy settings from browser'. FTP Proxy server type
The FTP Proxy server type. Server name
The name of the FTP Proxy server. If you need to specify the port different from 21, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your FTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your FTP Proxy server requires login, specify the username here. Password
If your FTP Proxy server requires login, specify the password here. HTTPS Proxy
These are the settings for HTTPS Proxy server. If you are not sure what your HTTPS Proxy server is, select 'Get proxy settings from browser'. HTTPS Proxy server type
The HTTPS Proxy server type Server name
The name of the HTTPS Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTPS Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTPS Proxy server requires login, specify the username here. Password
If your HTTPS Proxy server requires login, specify the password here. Enable Socks Proxy
Tick this if you want to use the Socks Proxy for downloading. Socks type
Specify the Sock Proxy type. Server name
The name of the Socks Proxy server. Use Socks proxy server to resolve URLs
Description not available Login required
If your Socks Proxy server requires login, please tick this to be prompted for username and password. Username
If your Socks Proxy server requires login, specify the username here. Password
If your Socks Proxy server requires login, specify the password here. Force proxy server to don't use a cache
This option makes ReGet Deluxe to force the proxy server to don't use a cache for download. Use HTTP 1.1 on Proxy
This option makes ReGet Deluxe to use HTTP 1.1 protocol when connecting through proxy server. Use Rollback
Makes ReGet Deluxe to use Rollback feature. Please refer to FAQ for more information on this feature. Size (b) for 'Smart Rollback'
Description not available Use 'Smart Rollback'
Makes ReGet Deluxe to use 'Smart Rollback' feature. Please refer to FAQ for more information on this feature. HTML-page beginning tags to look for
These are the HTML Tags ReGet Deluxe will be looking for when using the 'Smart Rollback' feature. Please refer to FAQ for more information on this feature. FTP settings
Settings for downloads from FTP servers. Use passive FTP mode
Tick this to make ReGet Deluxe download in the passive (PASV) FTP mode. Download subdirectories from FTP
Makes ReGet Deluxe also download subdirectories from remote FTP server if the mask is used in the URL or when a filename is omitted. Create subdirectories locally
Makes ReGet Deluxe to fully mirror the remote FTP server by recreating locally the remote server folder structure when downloading files from remote server. Treat FTP URLs as relative ones
Makes ReGet Deluxe treat the FTP URLs as relative URLs. Please read FAQ for additional information. Do not use LIST command
This option allows to reasonably speed up FTP downloads by not sending the LIST command to the FTP servers. Setting this ON might be required for some unusual FTP servers which do not respond to the LIST command, while it might affect ReGet Deluxe ability to determine correct filesize before download from the regular FTP servers. Use MDTM command for file timestamp information
Makes ReGet Deluxe use MDTM command to obtain accurate file timestamp information. This might insignificantly slow down your FTP downloads, however using this setting is crucial if you're planning on using ReGet Deluxe to synchronize local folders with the remote FTP server content. Inherit properties from parent download
Description not available Enable FTP compression (MODE Z)
Try to use FTP compression (MODE Z) if server supports it. Server supports telnet codes
This options determines the way server operates with telnet codes, it should be used if filename contains characters with code #255 HTTP settings
Settings for downloads from HTTP servers. Referer
This is the URL of the referring to the download page. Please note, that this should be set for some sites, like www.geocities.com, etc. HTTP user-agent information
This affects how does ReGet Deluxe represent itself to remote HTTP servers. It is advised to use some popular browser representation to download from servers which might query for this field. Custom HTTP user-agent information
Specify your custom HTTP user-agent information here. It is advised to use some popular browser representation to download from servers which might query for this field. Use HTTP 1.1
This option makes ReGet Deluxe to use HTTP 1.1 protocol. Do not generate referers
If referer string is blank, ReGet automatically generates it basing on download URL. Uncheck this option to keep referer strings blank. Use Cookies for HTTP downloads
Makes ReGet Deluxe to try to use cookies for downloads. This might be required for some servers which place a cookie on your computer before allowing you to download. Cookie
Use this cookie for the download. HTTP Method
Which HTTP Method ReGet Deluxe should use. HTTP Post String
Which HTTP Post String ReGet Deluxe to use. Ask server to send data in compressed format
Description not available HTTPS settings
Description not available Use client certificate for authentication
Description not available Certificate type
Description not available Certificate Filename
Description not available Certificate Password (for PKCS #12)
Description not available MMS and RTSP Settings
Description not available Always use HTTP for MMS urls
Check if you want to use HTTP for MMS urls (MMSH protocol). Choose connection speed
Select your connection speed (required media quality)


 General Settings
General settings URL
The site's URL. Site description
Enter short description for the site here. Temporary entry
Makes this entry temporary -- ReGet Deluxe would not store this information in the Site Manager permanently. Login required
Description not available Username
If login is required for the download, specify the username here. Password
If login is required for the download, specify the password here. Number of simultaneous connections for this site
The number of simultaneous connections allowed for this site. Default Download Settings
Default settings to be inherited by all downloads you add. While you can adjust properties for each particular download, it's advised to set the properties you want most of your downloads to inherit here. Pause before each retry (s)
The length (in seconds) of the pause before the new download attempt is undertaken. Time out (s)
The amount of time (in seconds) after which ReGet Deluxe considers download timed out. Do not apply restricted security zone
Do not apply restricted security zone to downloaded files (Windows XP SP2 and later only) FTP settings
Settings for downloads from FTP servers. Use passive FTP mode
Tick this to make ReGet Deluxe download in the passive (PASV) FTP mode. Treat FTP URLs as relative ones
Makes ReGet Deluxe treat the FTP URLs as relative URLs. Please read FAQ for additional information. Do not use LIST command
This option allows to reasonably speed up FTP downloads by not sending the LIST command to the FTP servers. Setting this ON might be required for some unusual FTP servers which do not respond to the LIST command, while it might affect ReGet Deluxe ability to determine correct filesize before download from the regular FTP servers. Use MDTM command for file timestamp information
Makes ReGet Deluxe use MDTM command to obtain accurate file timestamp information. This might insignificantly slow down your FTP downloads, however using this setting is crucial if you're planning on using ReGet Deluxe to synchronize local folders with the remote FTP server content. Enable FTP compression (MODE Z)
Try to use FTP compression (MODE Z) if server supports it. Server supports telnet codes
This options determines the way server operates with telnet codes, it should be used if filename contains characters with code #255 Idle FTP connection timeout (s)
Timeout (in seconds), after which ReGet Deluxe disconnects from the FTP server when there're no active downloads from this server. You might use this feature to speed up downloads if you are downloading a number of files in the queue from the same FTP server. If this is not 0, then ReGet Deluxe does not disconnect from the FTP server when the download is completed for the specified amoutn of time, thus saves time not reconnecting to the same server for the next download from it. HTTP settings
Settings for downloads from HTTP servers. HTTP user-agent information
This affects how does ReGet Deluxe represent itself to remote HTTP servers. It is advised to use some popular browser representation to download from servers which might query for this field. Custom HTTP user-agent information
Specify your custom HTTP user-agent information here. It is advised to use some popular browser representation to download from servers which might query for this field. Use HTTP 1.1
This option makes ReGet Deluxe to use HTTP 1.1 protocol. Do not generate referers
If referer string is blank, ReGet automatically generates it basing on download URL. Uncheck this option to keep referer strings blank. Ask server to send data in compressed format
Description not available HTTPS settings
Description not available Use client certificate for authentication
Description not available Certificate type
Description not available Certificate Filename
Description not available Certificate Password (for PKCS #12)
Description not available MMS and RTSP Settings
Description not available Always use HTTP for MMS urls
Check if you want to use HTTP for MMS urls (MMSH protocol). Choose connection speed
Select your connection speed (required media quality) Proxy Settings
Settings for the proxy server(s) to be used with your downloads. HTTP Proxy
These are the settings for HTTP Proxy server. If you are not sure what your HTTP Proxy server is, select 'Get proxy settings from browser'. HTTP Proxy server type
The HTTP Proxy server type Server name
The name of the HTTP Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTP Proxy server requires login, specify the username here. Password
If your HTTP Proxy server requires login, specify the password here. FTP Proxy
These are the settings for FTP Proxy server. If you are not sure what your FTP Proxy server is, select 'Get proxy settings from browser'. FTP Proxy server type
The FTP Proxy server type. Server name
The name of the FTP Proxy server. If you need to specify the port different from 21, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your FTP Proxy server requires login, please tick this to be prompted for username and password. Username
If your FTP Proxy server requires login, specify the username here. Password
If your FTP Proxy server requires login, specify the password here. HTTPS Proxy
These are the settings for HTTPS Proxy server. If you are not sure what your HTTPS Proxy server is, select 'Get proxy settings from browser'. HTTPS Proxy server type
The HTTPS Proxy server type Server name
The name of the HTTPS Proxy server. If you need to specify the port different from 80, please follow the format: proxy.server.com:port (ie: proxy.aol.com:8080). Login required
If your HTTPS Proxy server requires login, please tick this to be prompted for username and password. Username
If your HTTPS Proxy server requires login, specify the username here. Password
If your HTTPS Proxy server requires login, specify the password here. Enable Socks Proxy
Tick this if you want to use the Socks Proxy for downloading. Socks type
Specify the Sock Proxy type. Server name
The name of the Socks Proxy server. Use Socks proxy server to resolve URLs
Description not available Login required
If your Socks Proxy server requires login, please tick this to be prompted for username and password. Username
If your Socks Proxy server requires login, specify the username here. Password
If your Socks Proxy server requires login, specify the password here.


Other ReGet issues.

Activation code troubleshooting
If you experience troubles with activation code, please read this topic.

General issues
Placing links to ReGet site, beta-testing, bug reporting, obtaining download log.

Distribution and packaging
ReGet Deluxe distribution related issues, end-user license.

Contact info
ReGet Software contact info.


ReGet Registration Process Information

ReGet Registration Process Information

Before starting the registration process you'll need to purchase product key on our Ordering page. You will receive e-mail from ReGet Software with your personal product key. Please have this e-mail handy before running the registration process. To fully register your copy, a special activation code, unique for your computer needs to be downloaded from our server, so please make sure to establish Internet connection before starting registration process.

Registration process

  1. Run your copy of ReGet. You will see the nag-screen with three buttons - "Purchase", "Evaluate" and "Register". Press the "Register" button to start registration process.
  2. The registration wizard welcome screen has some important information and tips about the activation process, please read it carefully and press "Next" button.
  3. Enter your name (exactly as you entered it when buying the software) and product key as received from ReGet Software by e-mail or on the registration page. The best way not to make a mistake entering this data is to use copy and paste (you can use CTRL+C hotkey to copy selected information to Windows clipboard and CTRL+V to paste it). Please make sure you are connected to the Internet before continuing. Press "Next" button.
  4. After verifying your name and product key and downloading the activation code from our server ReGet will congratulate you on successful registration. That's all. You have registered your copy of ReGet.

If you failed by any reason to complete automatical registration (on the step 4) you will be suggested to perform registration manually. This process will not take much time. Please follow the instructions of the Registration Wizard - Manual Mode.

Frequently asked questions about registration are answered here.


ReGet registration FAQ

ReGet registration FAQ
  • What is Product Registration and how do you benefit from it?
  • How does Product registration work?
  • How does Product Activation protect your privacy?
  • How do you know if your product is registered?
  • Do you have to pay for upgrades?
  • What to do if you lost your Product Key?
  • What to do if you are about to change your e-mail address?

What is Product Registration and how do you benefit from it?

Product Registration is an anti-piracy technology designed to verify that the product has been legitimately licensed. It helps ensure that each copy is installed in compliance with the end-user license and is not installed on more than the limited number (usually one) of computers allowed by the product license.
Installing counterfeit ReGet copy you may find that it contains viruses or does not work properly. Also, you cannot get appropriate help from our Customer Support Service. Using genuine product guarantees software quality and urgent help in case of need.

How does Product registration work?

Registration process chart

Manual registration is available only if automatical registration failed.

During software registration, the registration wizard prompts you to enter a product key . The key is a 25 character alphanumeric code shown in five groups of five characters each (for example, GBFTK-3UN78-MKF8G-T8GTY-NQS8R). Keep the product key in a safe location and do not share it with others. This product key forms the basis for your ability to use the software after the trial period.

For purposes of product activation, a hardware identifier is created from general information that is included in the system components. (See also the question about Privacy.) During activation the registration code and a hardware identifier are sent automatically via an Internet connection. ReGet attempts to establish an online connection to the activation server, www.activatesoft.net, using your regular Internet connection. If it fails to connect to the Internet, you should fulfill activation manually. Until you have activated your copy of ReGet, you may not use it.

How does Product Activation protect your privacy?

Activation is completely anonymous; no personally identifiable information is required. For purposes of product activation only, a hardware identifier is created from general information that is included in the system components. At no time are files on the hard drive scanned, nor is personally-identifiable information of any kind used to create the hardware identifier. Product activation is completely anonymous. To ensure your privacy, the hardware identifier is created by what is known as a "one-way hash". To produce a one-way hash, information is processed through an algorithm to create a new alphanumeric string. It is impossible to calculate the original information from the resulting string.
Your product key and a hardware identifier are the only pieces of information required to activate the product.

How do you know if your product is registered?

Please select "About ReGet" from the ReGet help menu to see the registration status.

How many installations can be made with one product license?

Accordingly to the ReGet End User Licence Agreement you may use your copy of ReGet on one computer only. However you may re-activate ReGet on the same computer any number of times, also occasional hardware changes and new activations for the same product key are allowed.

Do you have to pay for upgrades?

    No, you don't. If you bought any version of ReGet, you can upgrade to the latest version for FREE.

Lost your Product Key?

    Send an e-mail to: lost-code@reget.com from the same e-mail address you used when you purchased the license to use ReGet Deluxe. Please follow the format:

    ------------------------------------------------
From: <Your-name-here>
E-mail: <Your-e-mail-here>
Request: Please resend me the Product Key
------------------------------------------------

About to change your e-mail address?

    Please note that for your own safety we DO NOT accept requests to change an email address from an address that is not registered in our database. We recommend that you be sure to change your registration address with us before your old address becomes inactive to you.
    If your old e-mail address is no longer accessible to you, send us your postal address that you specified when you purchased the license to use ReGet Deluxe or your Product Key so we can verify your identity. We request this information in order to prevent unauthorized use of your registration code by someone else.

    Please send an e-mail to: update-code@reget.com from the same e-mail address you used when you purchased the license to use ReGet Deluxe. Please follow the format:

    --------------------------------------------------------------
From: <Your-name-here>
OLD E-mail: <Your-old-e-mail-here>
NEW E-mail: <Your-new-e-mail-here>
Request: Please update my e-mail and resend me the Product Key
---------------------------------------------------------------


General issues

I am a web-master, how can I place a link to your site?

Download ReGet now! If you want to make lives of your users easier or just link ReGet Deluxe from your page, please place ReGet button (shown on the left) on your pages. The HTML-code for it is shown below. Other buttons and banners with their HTML-codes you can find on our partners graphics page. If you made a review of ReGet Deluxe and published it somewhere, please let us know.

<A HREF="http://www.reget.com">
<IMG SRC="http://www.reget.com/images/regetnow.gif"
WIDTH="88" HEIGHT="31" BORDER="0" VSPACE="7"
ALT="Download ReGet now!"></A>
What does it take to qualify as beta-tester?

We have stopped wide beta-testing program. If you want to discuss bugs you've found or features you want to have in ReGet Deluxe you are welcome to our newsgroup.

I found a bug in ReGet Deluxe. What should I do?

Please e-mail to our support team at support@reget.com if you encountered an error. In your mail please specify:

  • URL to file which you were trying to download.
  • Which OS are you running?
  • The copy of log for this download (canbe copied via clipboard).
  • ReGet Deluxe version and build numbers (can be found in Help About)
  • And error description.
How can I get the log of download?

To get the log do the following:

  • Click with the right mouse button on a download (in download list area)
  • Choose "View log" from the dropped down menu
  • Copy all strings from log (use "Edit-->Copy All")
  • Paste it to the mail and send to support@reget.com.


Distribution and packaging.

May I (or my company) distribute ReGet Deluxe?

The short answer is "NO". The long answer is that you need our written permission to redistribute ReGet Deluxe (this includes, but not limited to publishing on www-server, ftp-server) for free or charging a fee. Please contact pr@reget.com for details. We recommend you to link: http://www.reget.com/redir/redir.asp?lang=default&product=dx&link=free The reason we ask you not to link the .exe file is that we want to make sure that when users download ReGet Deluxe, they download the newest version, and unless you subscribe to our newsletter, we won't be able to update you when the new version is released. If you made a review of ReGet Deluxe and published it somewhere, please let us know.

Where may I find the user license?

You can find it in the ReGet Deluxe directory under the name "license.rtf".


Contact Us

User Support: support@reget.com

General Issues: info@regetsoft.com

PR contact: pr@reget.com

Press contact: press@reget.com

Advertising in ReGet: advertise@reget.com

ReGet Newsgroup

You can also get help from or share your knowledge with other ReGet users in the ReGet Newsgroup.


Activation Code Troubleshooting

Entering the activation code to the program
Do I have to pay for upgrades?
Lost the activation code?
About to change your e-mail address?
(top)

Entering the activation code to the program:
  1. Buy a license to use ReGet Deluxe for US $20 on ReGet Deluxe order page.
  2. You will receive the e-mail from support@reget.com with the subject "This is the activation code for ReGet Deluxe" (normally within 48 business hours). It will contain the ReGet Deluxe activation code.
  3. Copy the activation code from the e-mail to Clipboard.
  4. Start ReGet Deluxe (you can download it here). Press "Enter code" button on the nagscreen. "Please enter activation code" window will appear.
  5. Paste the activation code.
  6. Press the "OK" button.
  7. You can now use ReGet Deluxe!

(top)

Do I have to pay for upgrades?

    No, you don't. If you've bought any version of ReGet Deluxe, you can upgrade to the latest version for FREE.

(top)

Lost the activation code?

    Please send an e-mail to: lost-code@reget.com from the e-mail address you supplied when you purchased the license to use ReGet Deluxe. Please follow the format:

------------------------------------------------

From: <Your-name-here>

E-mail: <Your-e-mail-here>

Request: Please resend me the activation code

------------------------------------------------

(top)

About to change your e-mail address?

Please note that for your own safety we DO NOT accept requests for changing address from the address that is not registered in our database. We recommend you to take care about changing you registration address in advance.
If your old e-mail address is not available send us your postal address you specified when you purchased the license to use ReGet Deluxe or your activation code so we can check your identity. We are requesting this information in order to prevent unauthorized use of your registration code by someone else.

    In order to change your e-mail address, please send an e-mail to: update-code@reget.com from the e-mail address you supplied when you purchased the license to use ReGet Deluxe. Please follow the format:

------------------------------------------------

From: <Your-name-here>

OLD E-mail: <Your-old-e-mail-here>

NEW E-mail: <Your-new-e-mail-here>

Request: Please update my e-mail and resend me

         the activation code

------------------------------------------------